Multivariate Pattern Analysis in Python

# mvpa2.measures.rsa.pearsonr

`mvpa2.measures.rsa.``pearsonr`(x, y)

  Calculates a Pearson correlation coefficient and the p-value for testing non-correlation.

  The Pearson correlation coefficient measures the linear relationship between two datasets. Strictly speaking, Pearson’s correlation requires that each dataset be normally distributed. Like other correlation coefficients, this one varies between -1 and +1 with 0 implying no correlation. Correlations of -1 or +1 imply an exact linear relationship. Positive correlations imply that as x increases, so does y. Negative correlations imply that as x increases, y decreases.

  The p-value roughly indicates the probability of an uncorrelated system producing datasets that have a Pearson correlation at least as extreme as the one computed from these datasets. The p-values are not entirely reliable but are probably reasonable for datasets larger than 500 or so.

  Parameters:

  x : (N,) array_like

  > Input

  y : (N,) array_like

  > Input

  Returns:

  (Pearson’s correlation coefficient,

  > 2-tailed p-value)

  References

  http://www.statsoft.com/textbook/glosp.html#Pearson%20Correlation